Pular para o conteúdo principal
List offloader wallets
curl --request GET \
  --url https://api.spherepay.co/v2/offloader-wallet \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "wallet_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
      "customerId": "customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
      "address": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
      "currency": "usdc",
      "network": "ethereum",
      "destination": {
        "bankAccountId": "bankAccount_6221e8d4299f4a889bd882255e92f581",
        "currency": "usd",
        "network": "ach",
        "achReference": "REF123"
      },
      "fees": {
        "integratorFee": {
          "bpsRate": "100",
          "currency": "usdc"
        },
        "platformFee": {
          "bpsRate": "30",
          "currency": "usdc"
        }
      },
      "returnAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
      "created": "2024-06-15T10:30:00.000Z",
      "updated": "2024-06-15T12:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 10,
    "total": 1,
    "totalPages": 1,
    "hasNext": false,
    "hasPrevious": false
  }
}
Recupere uma lista paginada de todas as Offloader Wallets da sua conta. Use o parâmetro de consulta customerId para restringir os resultados a um único cliente. Este endpoint é útil para auditar configurações de carteiras, reconciliar endereços on-chain com destinos de contas bancárias ou construir uma interface de gerenciamento de carteiras voltada ao cliente.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de consulta

page
string
padrão:1
obrigatório

Page number of the list (default: 1)

Exemplo:

1

limit
string
padrão:10
obrigatório

Number of items per page (default: 10)

Exemplo:

10

customerId
string

Filter offloader wallets by customer ID. Only wallets belonging to this customer will be returned.

Exemplo:

"customer_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

Resposta

data
object[]
obrigatório

Array of offloader wallet objects.

pagination
object
obrigatório
Última modificação em 18 de junho de 2026